/*
 *  SPDX-FileCopyrightText: 2021 Carson Black <uhhadd@gmail.com>
 *
 *  SPDX-License-Identifier: LGPL-2.0-or-later
 */

import QtQuick 2.12
import QtQuick.Layouts 1.12
import QtQuick.Controls 2.12 as QQC2
import org.kde.kirigami 2.12 as Kirigami
import "../../private" as Private

// TODO?: refactor into abstractbutton
QQC2.Control {
    id: control

    enum Presentation {
        Normal,
        Large
    }

    property string title
    property bool active

    property Private.ActionIconGroup icon: Private.ActionIconGroup {}
    property int presentation: PageTab.Presentation.Normal
    property bool vertical: false
    property var progress // type: real?
    property bool needsAttention: false

    activeFocusOnTab: true

    Keys.onPressed: event => {
        if (event.key === Qt.Key_Enter || event.key === Qt.Key_Return) {
            control.clicked()
        }
    }
}
